# GenerateEclipseJdt

API Documentation: | `GenerateEclipseJdt`

Generates the Eclipse JDT configuration file. If you want to fine tune the eclipse configuration

At this moment nearly all configuration is done via `EclipseJdt`.

### Properties

Property | Description
`inputFile` | The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.
`jdt` | Eclipse JDT model that contains information needed to generate the JDT file.
`outputFile` | The output file to write the final configuration to.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `File` `inputFile`

The input file to load the initial configuration from. Defaults to the output file. If the specified input file does not exist, this task uses some default initial configuration.

#### `EclipseJdt` `jdt`

Eclipse JDT model that contains information needed to generate the JDT file.

Default with `eclipse` and `java` plugins:
  `project.eclipse.jdt`

#### `File` `outputFile`

The output file to write the final configuration to.